
Foreman - Bug #11072

--nic parameter not being passed to OpenStack when using OpenStack compute resource

07/09/2015 01:20 PM - Will Newby

Status: New   

Priority: Normal   

Assignee:    

Category: Compute resources - OpenStack   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.8.2

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Running Foreman 1.8.2 and OpenStack IceHouse.

I get this message when trying to spin up a new host via foreman on our OpenStack Compute Resource:  "Failed to create a

compute MSP_OpenStack_DEV (OpenStack) instance <hostname>: Multiple possible networks found, use a Network ID to be more

specific." this started happening after we configured a second subnet.

We're running 2 networks currently. A flat network and a vlan network. vlandev_293 is the vlan network (i.e. the new one).

From IRC:

eLobato

DaxAtlas: k, almost certain this is a bug, thanks for catching it - probably worth blocking 1.9, which we're releasing candidates for

now

From /var/log/foreman/production.log

2015-07-09 11:28:22 [I]   Parameters: {"utf8"=>"✓", "authenticity_token"=>"Qm4xjviQDd26Ir+UutusCJ7

gTZDuUsDmDDV2GkfKpeM=", "host"=>{"name"=>"<hostname>", "organization_id"=>"1", "location_id"=>"2",

 "hostgroup_id"=>"2", "compute_resource_id"=>"2", "compute_profile_id"=>"1", "lifecycle_environmen

t_id"=>"6", "content_view_id"=>"2", "environment_id"=>"3", "content_source_id"=>"1", "puppet_ca_pr

oxy_id"=>"1", "puppet_proxy_id"=>"1", "puppetclass_ids"=>[""], "managed"=>"true", "progress_report

_id"=>"[FILTERED]", "type"=>"Host::Managed", "interfaces_attributes"=>{"0"=>{"_destroy"=>"0", "typ

e"=>"Nic::Managed", "mac"=>"", "identifier"=>"", "name"=>"<hostname>", "subnet_id"=>"", "ip"=>"10.

240.1.15", "managed"=>"1", "primary"=>"1", "provision"=>"1", "virtual"=>"0", "tag"=>"", "attached_

to"=>""}, "new_interfaces"=>{"_destroy"=>"1", "type"=>"Nic::Managed", "mac"=>"", "identifier"=>"",

 "name"=>"", "subnet_id"=>"", "ip"=>"", "managed"=>"1", "primary"=>"0", "provision"=>"0", "virtual

"=>"0", "tag"=>"", "attached_to"=>""}}, "compute_attributes"=>{"flavor_ref"=>"e5528078-d305-4041-9

0d2-d5892d4bafbd", "tenant_id"=>"cb988e6b54c14b4bba86d1741a6e8f0d", "security_groups"=>"default", 

"nics"=>[""], "network"=>"vlandev_293", "boot_from_volume"=>"false", "size_gb"=>"", "image_ref"=>"

c76bcf13-d90d-408c-8cd5-4e8a20f182a8"}, "architecture_id"=>"1", "operatingsystem_id"=>"1", "provis

ion_method"=>"image", "build"=>"1", "disk"=>"", "root_pass"=>"[FILTERED]", "is_owned_by"=>"", "ena

bled"=>"1", "comment"=>"", "overwrite"=>"false"}, "capabilities"=>"image", "provider"=>"Openstack"

}

2015-07-09 11:29:22 [W] failed to create vm: Multiple possible networks found, use a Network ID to

 be more specific.

2015-07-09 11:29:22 [W] Failed to create a compute MSP_OpenStack_DEV (OpenStack) instance <hostnam

e>: Multiple possible networks found, use a Network ID to be more specific.

 /usr/share/foreman/app/models/compute_resources/foreman/model/openstack.rb:93:in `rescue in creat

e_vm'

/usr/share/foreman/app/models/compute_resources/foreman/model/openstack.rb:77:in `create_vm'

/usr/share/foreman/app/models/concerns/orchestration/compute.rb:76:in `setCompute'

/usr/share/foreman/app/models/concerns/orchestration.rb:141:in `execute'

/usr/share/foreman/app/models/concerns/orchestration.rb:86:in `block in process'

/usr/share/foreman/app/models/concerns/orchestration.rb:78:in `each'

/usr/share/foreman/app/models/concerns/orchestration.rb:78:in `process'

05/17/2024 1/6



/usr/share/foreman/app/models/concerns/orchestration.rb:19:in `on_save'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:649:i

n `_run__3804907515839744385__save__3496219498638125777__callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:i

n `__run_callback'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:385:i

n `_run_save_callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:81:in

 `run_callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/callbacks.rb:264:in 

`create_or_update'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/persistence.rb:84:in

 `save'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/validations.rb:50:in

 `save'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/attribute_methods/di

rty.rb:22:in `save'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:241:

in `block (2 levels) in save'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:295:

in `block in with_transaction_returning_status'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/

abstract/database_statements.rb:192:in `transaction'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:208:

in `transaction'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:293:

in `with_transaction_returning_status'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:241:

in `block in save'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:252:

in `rollback_active_record_state!'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:240:

in `save'

/usr/share/foreman/app/models/concerns/foreman/sti.rb:29:in `save_with_type'

/usr/share/foreman/app/controllers/hosts_controller.rb:84:in `create'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/implicit_ren

der.rb:4:in `send_action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/base.rb:167:in `

process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rendering.rb

:10:in `process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/callbacks.rb:18:

in `block in process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:627:i

n `block (4 levels) in _run__632726986743375242__process_action__4447846264555034338__callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:215:i

n `block in _conditional_callback_around_11685'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:326:i

n `around'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:310:i

n `_callback_around_3714'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:214:i

n `_conditional_callback_around_11685'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:626:i

n `block (3 levels) in _run__632726986743375242__process_action__4447846264555034338__callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:215:i

n `block in _conditional_callback_around_11684'

/usr/share/foreman/app/controllers/concerns/application_shared.rb:13:in `set_timezone'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:214:i

n `_conditional_callback_around_11684'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:625:i

n `block (2 levels) in _run__632726986743375242__process_action__4447846264555034338__callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:215:i

n `block in _conditional_callback_around_11683'

/usr/share/foreman/app/models/concerns/foreman/thread_session.rb:32:in `clear_thread'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:214:i

n `_conditional_callback_around_11683'
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:448:i

n `block in _run__632726986743375242__process_action__4447846264555034338__callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:215:i

n `block in _conditional_callback_around_11682'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:326:i

n `around'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:310:i

n `_callback_around_13'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:214:i

n `_conditional_callback_around_11682'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:414:i

n `_run__632726986743375242__process_action__4447846264555034338__callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:i

n `__run_callback'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:385:i

n `_run_process_action_callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:81:in

 `run_callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/callbacks.rb:17:

in `process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rescue.rb:29

:in `process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/instrumentat

ion.rb:30:in `block in process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications.rb:1

23:in `block in instrument'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications/inst

rumenter.rb:20:in `instrument'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications.rb:1

23:in `instrument'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/instrumentat

ion.rb:29:in `process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/params_wrapp

er.rb:207:in `process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/railties/controller_

runtime.rb:18:in `process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/base.rb:121:in `

process'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/rendering.rb:45:

in `process'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal.rb:203:in `d

ispatch'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rack_delegat

ion.rb:14:in `dispatch'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal.rb:246:in `b

lock in action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb

:73:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb

:73:in `dispatch'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb

:36:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/journey-1.0.4/lib/journey/router.rb:68:in `block in call'

/opt/rh/ruby193/root/usr/share/gems/gems/journey-1.0.4/lib/journey/router.rb:56:in `each'

/opt/rh/ruby193/root/usr/share/gems/gems/journey-1.0.4/lib/journey/router.rb:56:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb

:600:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static.rb

:62:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static.rb

:62:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/apipie-rails-0.2.6/lib/apipie/extractor/recorder.rb:97:in

 `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static.rb

:62:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static.rb

:62:in `call'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static.rb

:62:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/apipie-rails-0.2.6/lib/apipie/middleware/checksum_in_head

ers.rb:27:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/best_stan

dards_support.rb:17:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/etag.rb:23:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/conditionalget.rb:35:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/head.rb:1

4:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/params_pa

rser.rb:21:in `call'

/usr/share/foreman/lib/middleware/catch_json_parse_errors.rb:9:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/flash.rb:

242:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/session/abstract/id.rb:205:in `contex

t'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/session/abstract/id.rb:200:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/cookies.r

b:339:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/query_cache.rb:64:in

 `call'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/

abstract/connection_pool.rb:473:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/callbacks

.rb:28:in `block in call'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:i

n `_run__3319479720230664179__call__3496219498638125777__callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:i

n `__run_callback'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:385:i

n `_run_call_callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:81:in

 `run_callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/callbacks

.rb:27:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/remote_ip

.rb:31:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/debug_exc

eptions.rb:16:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/show_exce

ptions.rb:56:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.1/lib/katello/middleware/silenced_logger.rb:2

9:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/request_i

d.rb:22:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/methodoverride.rb:21:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/runtime.rb:17:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/cache/strategy/loc

al_cache.rb:72:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/lock.rb:15:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static.rb

:62:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:136:in `forward'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:143:in `pass'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:155:in `invalida

te'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:71:in `call!'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:51:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/engine.rb:479:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/application.rb:223:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/railtie/configurable.rb:30:in `m

ethod_missing'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/builder.rb:134:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/urlmap.rb:64:in `block in call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/urlmap.rb:49:in `each'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/urlmap.rb:49:in `call'
/usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/rack/thread_handler_extension.r

b:77:in `process_request'

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/request_handler/thread_handler.

rb:140:in `accept_and_process_next_request'

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/request_handler/thread_handler.

rb:108:in `main_loop'

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/request_handler.rb:441:in `bloc

k (3 levels) in start_threads'

/opt/rh/ruby193/root/usr/share/gems/gems/logging-1.8.1/lib/logging/diagnostic_context.rb:323:in `c

all'

/opt/rh/ruby193/root/usr/share/gems/gems/logging-1.8.1/lib/logging/diagnostic_context.rb:323:in `b

lock in create_with_logging_context'

caused by: (Excon::Errors::BadRequest) Expected([200, 202]) <=> Actual(400 Bad Request)

excon.error.response

  :body          => "{\"badRequest\": {\"message\": \"Multiple possible networks found, use a Netw

ork ID to be more specific.\", \"code\": 400}}" 

  :headers       => {

    "Content-Length"       => "115" 

    "Content-Type"         => "application/json; charset=UTF-8" 

    "Date"                 => "Thu, 09 Jul 2015 16:29:22 GMT" 

    "X-Compute-Request-Id" => "req-1ba24dac-d8ec-44bb-be5c-bb51ea27a69b" 

  }

  :local_address => "192.168.203.222" 

  :local_port    => 58245

  :reason_phrase => "" 

  :remote_ip     => "192.168.86.193" 

  :status        => 400

/opt/rh/ruby193/root/usr/share/gems/gems/excon-0.43.0/lib/excon/middlewares/expects.rb:10:in `resp

onse_call'

/opt/rh/ruby193/root/usr/share/gems/gems/excon-0.43.0/lib/excon/middlewares/response_parser.rb:8:i

n `response_call'

/opt/rh/ruby193/root/usr/share/gems/gems/docker-api-1.17.0/lib/excon/middlewares/hijack.rb:45:in `

response_call'

/opt/rh/ruby193/root/usr/share/gems/gems/excon-0.43.0/lib/excon/connection.rb:365:in `response'

/opt/rh/ruby193/root/usr/share/gems/gems/excon-0.43.0/lib/excon/connection.rb:235:in `request'

/opt/rh/ruby193/root/usr/share/gems/gems/fog-core-1.29.0/lib/fog/core/connection.rb:81:in `request

'

/opt/rh/ruby193/root/usr/share/gems/gems/fog-1.29.0/lib/fog/openstack/compute.rb:351:in `request'

/opt/rh/ruby193/root/usr/share/gems/gems/fog-1.29.0/lib/fog/openstack/requests/compute/create_serv

er.rb:89:in `create_server'

/opt/rh/ruby193/root/usr/share/gems/gems/fog-1.29.0/lib/fog/openstack/models/compute/server.rb:349

:in `save'

/opt/rh/ruby193/root/usr/share/gems/gems/fog-core-1.29.0/lib/fog/core/collection.rb:51:in `create'

/usr/share/foreman/app/models/compute_resource.rb:151:in `create_vm'

/usr/share/foreman/app/models/compute_resources/foreman/model/openstack.rb:82:in `create_vm'

    ... skipped 124 lines

2015-07-09 11:29:22 [W] Rolling back due to a problem: [Set up compute instance <fqdn>     2     f

ailed     [#<Host::Managed id: nil, name: "<fqdn>", last_compile: nil, last_freshcheck: nil, last_

report: nil, updated_at: nil, source_file_id: nil, created_at: nil, root_pass: "$1$LmTn2dYw$z/VjuP

ghGf5TlhbHYB5rq.", serial: nil, puppet_status: 0, architecture_id: 1, operatingsystem_id: 1, envir

onment_id: 3, ptable_id: nil, medium_id: nil, build: true, comment: "", disk: "", installed_at: ni

l, model_id: nil, hostgroup_id: 2, owner_id: 5, owner_type: "User", enabled: true, puppet_ca_proxy

_id: 1, managed: true, use_image: nil, image_file: nil, uuid: nil, compute_resource_id: 2, puppet_

proxy_id: 1, certname: nil, image_id: 1, organization_id: 1, location_id: 2, type: "Host::Managed"

, otp: nil, realm_id: nil, compute_profile_id: 1, provision_method: "image", content_source_id: 1,

 grub_pass: "$1$LmTn2dYw$z/VjuPghGf5TlhbHYB5rq.", content_view_id: 2, lifecycle_environment_id: 6,

 discovery_rule_id: nil>, :setCompute]]

2015-07-09 11:29:22 [I] Failed to save: Failed to create a compute MSP_OpenStack_DEV (OpenStack) i

nstance <fqdn>: Multiple possible networks found, use a Network ID to be more specific.

History

#1 - 07/09/2015 01:20 PM - Will Newby

- Copied from Feature #11048: Add script to sync community-templates to app/views/unattended added
#2 - 07/09/2015 03:24 PM - Daniel Lobato Garcia

- Project changed from Plugins to Foreman

#3 - 07/10/2015 03:38 AM - Dominic Cleal

- Category set to Compute resources - OpenStack

#4 - 07/10/2015 04:41 AM - Dominic Cleal

- Copied from deleted (Feature #11048: Add script to sync community-templates to app/views/unattended)

#5 - 02/05/2016 07:14 PM - Matthew Ceroni

Has there been any progress on this? I am currently running into the same issue. We only have floating IP networks that we assign to instances.
